#![feature(exit_status_error)]
#![feature(trait_alias)]
#![feature(path_file_prefix)]
// TODO: #![warn(missing_docs)]

#[cfg(feature = "compare")]
pub mod compare;

mod context;
mod error;
mod iter;
pub mod parser;
pub mod types;

pub mod settings {
    pub use crate::context::FileAccessInterface;
    pub use crate::context::GlobalSettings;
    pub use crate::context::HeadlineLevelFilter;
    pub use crate::context::LocalFileAccessInterface;
    pub use crate::context::DEFAULT_TAB_WIDTH;
}
