use super::StandardProperties;

pub trait GetStandardProperties<'s> {
    // TODO: Can I eliminate this dynamic dispatch, perhaps using nominal generic structs? Low prioritiy since this is not used during parsing.
    fn get_standard_properties(&'s self) -> &'s dyn StandardProperties;
}

impl<'s, I: StandardProperties<'s>> GetStandardProperties<'s> for I {
    fn get_standard_properties(&'s self) -> &'s dyn StandardProperties {
        self
    }
}
